ompi/mca/ptl/gm/ptl_gm_sendfrag.h File Reference.TH "ompi/mca/ptl/gm/ptl_gm_sendfrag.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/gm/ptl_gm_sendfrag.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi/mca/ptl/base/ptl_base_sendreq.h'\fP
.br
\fC#include 'ompi/mca/ptl/base/ptl_base_sendfrag.h'\fP
.br
\fC#include 'ompi/mca/ptl/base/ptl_base_recvfrag.h'\fP
.br
\fC#include 'ompi/communicator/communicator.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMATCH\fP   0"
.br
.ti -1c
.RI "#define \fBFRAG\fP   1"
.br
.ti -1c
.RI "#define \fBACK\fP   2"
.br
.ti -1c
.RI "#define \fBPUT\fP   3"
.br
.ti -1c
.RI "#define \fBGM_PIPELINE_DEPTH\fP   3"
.br
.ti -1c
.RI "#define \fBPTL_GM_PIPELINE_EMPTY\fP   0x0000"
.br
.ti -1c
.RI "#define \fBPTL_GM_PIPELINE_DEREGISTER\fP   0x0001"
.br
.ti -1c
.RI "#define \fBPTL_GM_PIPELINE_REGISTER\fP   0x0002"
.br
.ti -1c
.RI "#define \fBPTL_GM_PIPELINE_REMOTE\fP   0x0004"
.br
.ti -1c
.RI "#define \fBPTL_GM_PIPELINE_TRANSFERT\fP   (PTL_GM_PIPELINE_REGISTER | PTL_GM_PIPELINE_REMOTE)"
.br
.ti -1c
.RI "#define \fBPTL_GM_PIPELINE_HAS_INTERNAL_BUFFERS\fP   0x0008"
.br
.ti -1c
.RI "#define \fBOMPI_FREE_LIST_TRY_GET\fP(fl, item)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_ptl_gm_frag_header_t \fBmca_ptl_gm_frag_header_t\fP"
.br
.ti -1c
.RI "typedef mca_ptl_gm_pipeline_line_t \fBmca_ptl_gm_pipeline_line_t\fP"
.br
.ti -1c
.RI "typedef mca_ptl_gm_pipeline_info_t \fBmca_ptl_gm_pipeline_info_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_gm_send_frag_t\fP \fBmca_ptl_gm_send_frag_t\fP"
.br
.ti -1c
.RI "typedef mca_ptl_gm_recv_frag_t \fBmca_ptl_gm_recv_frag_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_ptl_gm_send_frag_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (mca_ptl_gm_recv_frag_t)"
.br
.ti -1c
.RI "\fBmca_ptl_gm_send_frag_t\fP * \fBmca_ptl_gm_alloc_send_frag\fP (struct \fBmca_ptl_gm_module_t\fP *ptl, struct \fBmca_ptl_base_send_request_t\fP *sendreq)"
.br
.ti -1c
.RI "int \fBmca_ptl_gm_put_frag_init\fP (struct \fBmca_ptl_gm_send_frag_t\fP **sendfrag, struct \fBmca_ptl_gm_peer_t\fP *ptl_peer, struct \fBmca_ptl_gm_module_t\fP *ptl, struct \fBmca_ptl_base_send_request_t\fP *sendreq, size_t offset, size_t *size, int flags)"
.br
.ti -1c
.RI "static int \fBmca_ptl_gm_init_header_rndv\fP (\fBmca_ptl_base_header_t\fP *hdr, struct \fBmca_ptl_base_send_request_t\fP *sendreq, int flags)"
.br
.ti -1c
.RI "static int \fBmca_ptl_gm_init_header_frag\fP (struct \fBmca_ptl_gm_send_frag_t\fP *sendfrag, struct \fBmca_ptl_gm_peer_t\fP *ptl_peer, struct \fBmca_ptl_base_send_request_t\fP *sendreq, size_t offset, size_t *size, int flags)"
.br
.ti -1c
.RI "static void \fBompi_ptl_gm_init_pipeline\fP (mca_ptl_gm_pipeline_info_t *pipeline)"
.br
.ti -1c
.RI "static mca_ptl_gm_recv_frag_t * \fBmca_ptl_gm_alloc_recv_frag\fP (struct \fBmca_ptl_base_module_t\fP *ptl)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define OMPI_FREE_LIST_TRY_GET(fl, item)"
.PP
\fBValue:\fP
.PP
.nf
{ \
    item = NULL; \
    if(opal_using_threads()) { \
        if( opal_mutex_trylock( &((fl)->fl_lock)) ) { \
            /* We get the lock. Now let's remove one of the elements */ \
            item = opal_list_remove_first(&((fl)->super)); \
            opal_mutex_unlock(&((fl)->fl_lock)); \
        } \
    } else { \
        item = opal_list_remove_first(&((fl)->super)); \
    }  \
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
